cancel
Showing results for 
Search instead for 
Did you mean: 

Original topic:

I can't get the watch beta because the Galaxy store doesn't support the S22Ultra

(Topic created: 06-02-2022 02:47 PM)
Options
Questions

image
How does this make any sense??

I can't participate because "the Galaxy store doesn't support" my Galaxy S22 Ultra. I need a serious explanation now.
0 Likes
8 Replies
aoexvt
Astronaut
Options
Questions
I don't see any news on the Samsung Galaxy a10e
0 Likes
Options
Questions
I'm not talking about a phone, I'm talking about the Watch 4 beta.
0 Likes
DarkPhox
Comet
Options
Questions
That makes absolutely no sense considering it's Samsung's latest flagship phone
0 Likes
Options
Questions

So true

0 Likes
DaleNet
Asteroid
Options
Questions

I get the same error if after I install the plug-in I try to update the Galaxy Store.  You should already have the latest Galaxy Store.  Once you have the plug-in installed, all you need to do is wait for the notification for installing the beta.

0 Likes
Options
Questions

I can't even download the plugin is the issue. It'll pop up with participate then claim I don't have authority to view the beta (even though i signed up a few days ago)

0 Likes
jcnote
Asteroid
Options
Questions

I have an S22 Ultra and am running the Watch4 beta with no issue, so you're having some other problem than the phone not being supported.

0 Likes
DaleNet
Asteroid
Options
Questions

Looks like you did not get accepted into the beta if you cannot install the plug-in.

0 Likes